data:extend(
{  
	{
		type = "recipe",
		name = "ye_science_ultimate_recipe",
		ingredients = {{"ye_science_blue", 30000},},
		result = "ye_science_ultimate",
		group = "yuoki-energy", subgroup = "y_ultimate_products",					
		order="a0",
	},		
	
	{
		type="item", name="ye_science_ultimate", icon="__Yuoki__/graphics/entity/ultimate_science_icon.png", flags = {"goes-to-quickbar"},
		group="yuoki-energy", subgroup="y_ultimate_products", order="a0", place_result = "ye_science_ultimate", 
		stack_size = 1, default_request_amount = 1,
	},	
	
	{
		type = "radar",
		name = "ye_science_ultimate",
		icon = "__Yuoki__/graphics/entity/ultimate_science_icon.png",
		flags = {"placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "ye_science_ultimate"},
		max_health = 7000,
		corpse = "big-remnants",
		collision_box = {{-5.3, -6.2}, {5.3, 6.2}},
		selection_box = {{-5.5, -6.5}, {5.5, 6.5}},
		energy_per_sector = "5MJ",
		max_distance_of_sector_revealed = 100,
		max_distance_of_nearby_sector_revealed = 20,
		energy_per_nearby_scan = "500kJ",
		energy_source =
		{
			type = "electric",
			usage_priority = "secondary-input"
		},
		energy_usage = "50MW",
					
		pictures = {
			filename = "__Yuoki__/graphics/entity/blue_ultimate_sheet.png",
			priority = "low",
			width = 480,
			height = 480,
			apply_projection = false,
			direction_count = 16,
			line_length = 4,
			shift = {2, -1},
			animation_speed = 0.5,			
		},
		vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
		working_sound = { sound = {{filename = "__base__/sound/radar.ogg"}},apparent_volume = 1.5,},
	},
		
})	